# Update

Launch stage: GA

`PATCH /api/2.0/accounts/{account_id}/log-delivery/{config_id}`

Enables or disables a log delivery configuration.
 Deletion of delivery configurations is not supported, so disable log delivery configurations that are no longer needed.
 Note that you can't re-enable a delivery configuration if this would violate the delivery configuration limits described under Create log delivery.

API scopes: billing

## Path parameters

- `config_id` (string, optional)
  The log delivery configuration id of customer
- `account_id` (string, optional)
  <Databricks> account ID of any type. For non-E2 account types, get your account ID from the [Accounts Console](https://docs.databricks.com/administration-guide/account-settings/usage.html).

## Request body

- `status` (string, optional)
  Status of log delivery configuration. Set to `ENABLED` (enabled) or `DISABLED` (disabled). Defaults to `ENABLED`. You can [enable or disable the configuration](#operation/patch-log-delivery-config-status) later. Deletion of a configuration is not supported, so disable a log delivery configuration that is no longer needed.
  Possible values: `ENABLED`, `DISABLED`

## Response

```json
{}
```

